#ifndef WORLD_CLONING_HPP_
#define WORLD_CLONING_HPP_

#include <Display/WidgetDisplay/WidgetDisplay.hpp>
#include <WorldIndex/WorldIndex.hpp>

/**
 * @brief The display for cloning a world.
 */
class WorldCloning final : public WidgetDisplay
{
private:
    std::string existingWorldName;
    std::string newWorldName;
    WorldIndex worldIndex;
    bool shouldEnableCheats;
    WorldAvatar avatar;

    void doClone();
    std::string getWorldNameError();

public:
    WorldCloning(std::string existingWorldName, const WorldIndex &existingIndex);
};

#endif